Loading...
Searching...
No Matches
_FatSpecific Struct Reference

`#include <fat.h>`

## Data Fields

FatBootSector * | boot_sector
PedSector | boot_sector_backup_offset
char * | buffer
FatFragment | buffer_frags
PedSector | buffer_sectors
FatCluster | cluster_count
FatFragment | cluster_frags
FatClusterInfo * | cluster_info
PedSector | cluster_offset
PedSector | cluster_sectors
int | cluster_size
int | dir_entries_per_cluster
FatTable * | fat
PedSector | fat_offset
PedSector | fat_sectors
int | fat_table_count
FatType | fat_type
FatFragment | frag_count
PedSector | frag_sectors
int | frag_size
int | heads
FatInfoSector * | info_sector
PedSector | info_sector_offset
int | logical_sector_size
FatCluster | root_cluster
int | root_dir_entry_count
PedSector | root_dir_offset
PedSector | root_dir_sector_count
PedSector | sector_count
int | sectors_per_track
uint32_t | serial_number
FatCluster | total_dir_clusters

## Field Documentation

## boot_sector

FatBootSector * _FatSpecific::boot_sector

## boot_sector_backup_offset

PedSector _FatSpecific::boot_sector_backup_offset

## buffer

char * _FatSpecific::buffer

## buffer_frags

FatFragment _FatSpecific::buffer_frags

## buffer_sectors

PedSector _FatSpecific::buffer_sectors

## cluster_count

FatCluster _FatSpecific::cluster_count

## cluster_frags

FatFragment _FatSpecific::cluster_frags

## cluster_info

FatClusterInfo * _FatSpecific::cluster_info

## cluster_offset

PedSector _FatSpecific::cluster_offset

## cluster_sectors

PedSector _FatSpecific::cluster_sectors

## cluster_size

int _FatSpecific::cluster_size

## dir_entries_per_cluster

int _FatSpecific::dir_entries_per_cluster

## fat

FatTable * _FatSpecific::fat

## fat_offset

PedSector _FatSpecific::fat_offset

## fat_sectors

PedSector _FatSpecific::fat_sectors

## fat_table_count

int _FatSpecific::fat_table_count

## fat_type

FatType _FatSpecific::fat_type

## frag_count

FatFragment _FatSpecific::frag_count

## frag_sectors

PedSector _FatSpecific::frag_sectors

## frag_size

int _FatSpecific::frag_size

## heads

int _FatSpecific::heads

## info_sector

FatInfoSector * _FatSpecific::info_sector

## info_sector_offset

PedSector _FatSpecific::info_sector_offset

## logical_sector_size

int _FatSpecific::logical_sector_size

## root_cluster

FatCluster _FatSpecific::root_cluster

## root_dir_entry_count

int _FatSpecific::root_dir_entry_count

## root_dir_offset

PedSector _FatSpecific::root_dir_offset

## root_dir_sector_count

PedSector _FatSpecific::root_dir_sector_count

## sector_count

PedSector _FatSpecific::sector_count

## sectors_per_track

int _FatSpecific::sectors_per_track

## serial_number

uint32_t _FatSpecific::serial_number

## total_dir_clusters

FatCluster _FatSpecific::total_dir_clusters

The documentation for this struct was generated from the following files:

- libparted/fs/fat/fat.h
- libparted/fs/r/fat/fat.h